const defaultId = window.location.pathname.split('/').pop();

const originalRenderCourseTable = window.renderCourseTable;
window.renderCourseTable = function(...args) {
    args[0] = $('#studentId').val() || defaultId;
    return originalRenderCourseTable.apply(this, args);
};

$('.back').addClass('settings-panel').prepend(`
    <label>
        <input type="checkbox" id="printCourseTable" checked>
        <span>打印课程清单</span>
    </label>
`);
$('#printCourseTable').click(() => {
    if ($('#printCourseTable').prop('checked')) {
        $('#lessons').removeClass('no-print');
    } else {
        $('#lessons').addClass('no-print');
    }
});
// $('.col-sm-4').before(`
//     <div class="col col-sm-2 no-print" style="padding-left: 0px">
//         <input type="text" id="studentId" class="form-control" placeholder="${defaultId}">
//     </div>
// `);
$('.week-div-opea').before(`
    <div class="col col-sm-1 no-print" style="padding-left: 0px">
        <button type="button" class="btn btn-primary week" id="refreshWeek">刷新</button>
    </div>
`);
$('#refreshWeek').click(() => {
    window.renderCourseTable();
});
$('#table-content').before(`
    <div class="form-control no-print" style="margin-top: 10px">
        <div class="settings-panel">
            <label>
                <input type="checkbox" id="showCourseId" checked>
                <span>显示课程号</span>
            </label>
            <label>
                <input type="checkbox" id="showTime" checked>
                <span>显示时间</span>
            </label>
            <label>
                <input type="checkbox" id="showLocation" checked>
                <span>显示节次</span>
            </label>
            <label>
                <input type="checkbox" id="showLotteryOnly" checked>
                <span>仅在待抽签课显示人数</span>
            </label>
            <label>
                <input type="checkbox" id="collapseOverlap" checked>
                <span>折叠显示叠课</span>
            </label>
            <label>
                <input type="range" id="colorRange" min="1.5" max="4" value="2.5" step="0.5">
                <span>渐变上限倍数：</span>
                <span id="colorRangeValue">250%</span>
            </label>
        </div>
    </div>
`);
$('.form-control .settings-panel label').click(() => {
    $('#colorRangeValue').text(`${$('#colorRange').val() * 100}%`);
    $('.course-table > div').empty();
    window.courseTablePrint();
});
